GET V1/Projects.{ext}/ProjectAssesmentDocs?projectId={projectId}&PreQualificationDetId={PreQualificationDetId}&FileType={FileType}&Source={Source}

Get Uploaded project assessment docs i.e Physical Audit Files and Gantt chart

Request Information

URI Parameters

NameDescriptionTypeAdditional information
projectId

string

Required

PreQualificationDetId

string

Required

FileType

string

Required

Source

string

Default value is

ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

None.

Response Information

Resource Description

EMSResponseOfEMS.Projects.Entities.Files
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

EMS.Projects.Entities.Files

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "Files",
  "response": {
    "fileId": 1,
    "fileName": "sample string 2",
    "filePath": "sample string 3",
    "fileSource": "sample string 4"
  },
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.